Package com.logicaldoc.core.security.authorization

# Class UnexistingResourceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.logicaldoc.core.security.authorization.AuthorizationException
com.logicaldoc.core.security.authorization.UnexistingResourceException

All Implemented Interfaces:
  `Serializable`

public class UnexistingResourceException extends AuthorizationException
Raised when access to an unexisting resource is required

Since:
  8.9.1
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnexistingResourceException()`
`UnexistingResourceException(String message)`
`UnexistingResourceException(String username, String resource)`
`UnexistingResourceException(String username, String resource, Throwable cause)`
`UnexistingResourceException(String message, Throwable cause)`
`UnexistingResourceException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSecurityObject()`
`String`
`getUsername()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnexistingResourceException

public UnexistingResourceException(String username, String resource)

### UnexistingResourceException

public UnexistingResourceException(String username, String resource, Throwable cause)

### UnexistingResourceException

public UnexistingResourceException()

### UnexistingResourceException

public UnexistingResourceException(String message)

### UnexistingResourceException

public UnexistingResourceException(Throwable cause)

### UnexistingResourceException

public UnexistingResourceException(String message, Throwable cause)

## Method Details

### getUsername

public String getUsername()

### getSecurityObject

public String getSecurityObject()